import { OnInit, EventEmitter, OnDestroy, ElementRef } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { BaseDirective } from '../../../base.directive';
import * as i0 from "@angular/core";
export declare class EuiTableFilterComponent extends BaseDirective implements OnInit, OnDestroy {
    private fb;
    placeholder: string;
    get autoSearch(): boolean;
    set autoSearch(value: boolean);
    _autoSearch: boolean;
    filterChange: EventEmitter<string>;
    filterInput: ElementRef<HTMLInputElement>;
    filter$: BehaviorSubject<string | null>;
    form: FormGroup;
    private destroy$;
    get cssClasses(): string;
    constructor(fb: FormBuilder);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setFilter(value: string): void;
    resetFilter(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiTableFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiTableFilterComponent, "eui-table-filter", never, { "placeholder": "placeholder"; "autoSearch": "autoSearch"; }, { "filterChange": "filterChange"; }, never, never>;
}
